Skip to Content

Benchmark

5 endpoints

POST /api/v5/artifacts/benchmark/get

Get Benchmark

Get benchmark artifact data with the canonical shared benchmark operation.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ start_date?: `string` | `null` end_date?: `string` | `null` department_ids?: `string`[] history_page?: `integer` history_page_size?: `integer` history_eval_ids?: `string`[] history_search?: `string` | `null` history_archived?: `boolean` | `null` history_sort_by?: `string` history_sort_order?: `string` }

Response:

{ evals?: `BenchmarkEvalOperational`[] departments?: `BenchmarkDepartmentItem`[] department_options?: `FilterOption`[] date_range_earliest?: `string` | `null` date_range_latest?: `string` | `null` history?: `BenchmarkHistoryResponse` | `null` analytics?: `AnalyticsFacets` | `null` }

POST /api/v5/artifacts/benchmark/search

Search Benchmark History

Search benchmark test history with pagination and filters.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ start_date?: `string` | `null` end_date?: `string` | `null` department_ids?: `string`[] history_page?: `integer` history_page_size?: `integer` history_eval_ids?: `string`[] history_search?: `string` | `null` history_archived?: `boolean` | `null` history_sort_by?: `string` history_sort_order?: `string` }

Response:

{ data?: `BenchmarkHistoryItem`[] total_count?: `integer` page?: `integer` page_size?: `integer` eval_options?: `FilterOption`[] }

POST /api/v5/artifacts/benchmark/refresh

Benchmark Refresh

Refresh benchmark materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

POST /api/v5/artifacts/benchmark/export

Export Benchmark

Export all benchmark data as a clean, denormalized ZIP.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/benchmark/docs

Get Benchmark Docs Endpoint

Get composed documentation for the benchmark analytics.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

Last updated on